# IAX2FullFrameNull Class Reference

`#include <frame.h>`

Inheritance diagram for IAX2FullFrameNull:

[legend]
Collaboration diagram for IAX2FullFrameNull:
[legend]

## Public Member Functions

| IAX2FullFrameNull (IAX2EndPoint &endpoint)
| IAX2FullFrameNull (const IAX2Frame &srcFrame)
| IAX2FullFrameNull (const IAX2FullFrame &srcFrame)
virtual PString | GetSubClassName () const
virtual BYTE | GetFullFrameType ()

## Detailed Description

Class for transfering Nothing. It is essentially a NO Op It is used internally to indicate that the sound card should play a silence frame.

These frames are sent reliably. There is no data in the subclass section. There is no data in the data section

## Constructor & Destructor Documentation

IAX2FullFrameNull::IAX2FullFrameNull | ( | IAX2EndPoint & | endpoint | ) | `[inline]`

Construct an empty Full Frame. Classes generated like this are used to handle transmitted information

IAX2FullFrameNull::IAX2FullFrameNull | ( | const IAX2Frame & | srcFrame | ) |

Construction from a supplied dataframe. In this case, this class is filled from an incoming data packet. Classes generated like this are used to handle received data.

IAX2FullFrameNull::IAX2FullFrameNull | ( | const IAX2FullFrame & | srcFrame | ) |

Construction from a supplied dataframe. In this case, this class is filled from an incoming data packet. Classes generated like this are used to handle received data.

## Member Function Documentation

virtual BYTE IAX2FullFrameNull::GetFullFrameType | ( |  | ) | `[inline, virtual]`

Return the IAX2FullFrame type represented here (voice, protocol, session etc

Reimplemented from IAX2FullFrame.

virtual PString IAX2FullFrameNull::GetSubClassName | ( |  | ) | const`[inline, virtual]`

Get text description of the subclass contents

Reimplemented from IAX2FullFrame.

The documentation for this class was generated from the following file:

- frame.h